Package org.apache.cxf.io

# Class CipherPair

java.lang.Object
org.apache.cxf.io.CipherPair

public class CipherPair extends Object
A class to hold a pair of encryption and decryption ciphers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CipherPair(String transformation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clean()`
  `Cipher`
  `getDecryptor()`
  `Cipher`
  `getEncryptor()`
  `String`
  `getTransformation()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CipherPair

    public CipherPair(String transformation) throws GeneralSecurityException
    Throws:
      `GeneralSecurityException`

- ## Method Details

  - ### getTransformation

    public String getTransformation()

  - ### getEncryptor

    public Cipher getEncryptor()

  - ### getDecryptor

    public Cipher getDecryptor()

  - ### clean

    public void clean()